Download it now!
Bug 78829 - Format Spacing dialog: Labels and Buttons move up and down dependent on category
Summary: Format Spacing dialog: Labels and Buttons move up and down dependent on category
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: UI (show other bugs)
Version:
(earliest affected)
4.3.0.0.alpha1
Hardware: Other Windows (All)
: medium normal
Assignee: Not Assigned
URL:
Whiteboard: BSA target:4.3.0
Keywords:
Depends on:
Blocks:
 
Reported: 2014-05-17 13:12 UTC by Thomas Arnhold
Modified: 2014-05-20 10:54 UTC (History)
3 users (show)

See Also:
Crash report or crash signature:


Attachments
Category -Spacing (27.41 KB, image/png)
2014-05-17 13:14 UTC, Thomas Arnhold
Details
Category - Fractions (26.37 KB, image/png)
2014-05-17 13:14 UTC, Thomas Arnhold
Details
Category - Indexes [Preview too small] (21.24 KB, image/png)
2014-05-17 13:17 UTC, Thomas Arnhold
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Thomas Arnhold 2014-05-17 13:12:24 UTC
Problem description:
While changing the category in the Format Spacing dialog in starmath the labels move up and down.

Steps to reproduce:
1. Open Formula Editor
2. Format > Spacing
3. Select another category, e.g. Limits

Current behavior:
The labels on the left are vertically centered relative to the image on the right.

Expected behavior:
The labels should be at the top.

              
Operating System: Windows 7
Version: 4.3.0.0.alpha1
Comment 1 Thomas Arnhold 2014-05-17 13:14:10 UTC
Created attachment 99218 [details]
Category -Spacing
Comment 2 Thomas Arnhold 2014-05-17 13:14:51 UTC
Created attachment 99219 [details]
Category - Fractions
Comment 3 Thomas Arnhold 2014-05-17 13:17:41 UTC
Created attachment 99220 [details]
Category - Indexes [Preview too small]

And highly related: The preview isn't properly scaled for some categories (Indexes, Limits and Brackets).
Comment 4 Jorendc 2014-05-18 10:07:14 UTC
Reproducible, tested using Windows 8.1 with LibreOffice Version: 4.3.0.0.alpha1+
Build ID: 48eccfb812284f43ba24c3be3903537ce954944d
TinderBox: Win-x86@39, Branch:master, Time: 2014-05-16_00:35:19

Kind regards,
Joren
Comment 5 Caolán McNamara 2014-05-19 12:35:57 UTC
re "The preview isn't properly scaled for some categories (Indexes, Limits and Brackets)." do you mean that the images appear cut-off ?, That's not ui-related, see the physical pngs of icon-themes/galaxy/starmath/res/dist*png e.g. dist51.png and dist61.png etc.
Comment 6 Commit Notification 2014-05-19 12:37:50 UTC
Caolan McNamara committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=b1aa528721c578767985a1b31f653375f26db076

Resolves: fdo#78829 align to top instead of center



The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 7 Thomas Arnhold 2014-05-20 10:54:02 UTC
Oh, I didn't see that the physical images are cut off. Thanks, Caolan!